Bug 459092 - kernel dm mpath: fix several problems in dm-mapth target error paths
Summary: kernel dm mpath: fix several problems in dm-mapth target error paths
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: kernel
Version: 5.3
Hardware: All
OS: Linux
medium
medium
Target Milestone: rc
: ---
Assignee: Milan Broz
QA Contact: Martin Jenner
URL:
Whiteboard:
: 460914 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-08-14 12:59 UTC by Milan Broz
Modified: 2013-03-01 04:06 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-01-20 20:16:19 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2009:0225 0 normal SHIPPED_LIVE Important: Red Hat Enterprise Linux 5.3 kernel security and bug fix update 2009-01-20 16:06:24 UTC

Description Milan Broz 2008-08-14 12:59:46 UTC
There are several trivial bugfixes in multipath dm target which should be backported to RHEL5.3:

def052d21c4e77975bb75cf212f018ec913f8e2f dm mpath: fix test for reinstate_path
148acff615b403168cdf39e55bfcfaa6e4a7d233 dm mpath: return parameter error
371b2e348b7731a548b0a7432ca2ba32e90dd16f dm mpath: free path selector on invalid args

This BZ cover backporting them to RHEL5.3 kernel

Comment 1 RHEL Program Management 2008-08-14 13:02:59 UTC
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.

Comment 4 Mikuláš Patočka 2008-09-02 16:56:23 UTC
*** Bug 460914 has been marked as a duplicate of this bug. ***

Comment 5 Don Zickus 2008-09-11 19:44:02 UTC
in kernel-2.6.18-111.el5
You can download this test kernel from http://people.redhat.com/dzickus/el5

Comment 9 errata-xmlrpc 2009-01-20 20:16:19 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2009-0225.html


Note You need to log in before you can comment on or make changes to this bug.